Name:           dia
Version:        0.92.2
Release:        0.fdr.2.1
Epoch:          1
Summary:        Gtk+ based diagram creation program.

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.lysator.liu.se/~alla/dia/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/dia/0.92/dia-0.92.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel >= 0:2.0.6
BuildRequires:  gtk2-devel >= 0:2.0.6
BuildRequires:  libxml2-devel >= 0:2.3.9
BuildRequires:  pygtk2-devel
BuildRequires:  libgnomeui-devel >= 0:2.0
BuildRequires:  libart_lgpl-devel >= 0:2.3.10
BuildRequires:  python-devel >= 0:2.2.1
BuildRequires:  libpng-devel
BuildRequires:  pango-devel >= 0:1.1.5
BuildRequires:  desktop-file-utils
BuildRequires:  gettext


%description
The Dia drawing program is designed to be like the Windows(TM) Visio
program.  Dia can be used to draw different types of diagrams, and
includes support for UML static structure diagrams (class diagrams),
entity relationship modeling, and network diagrams.  Dia can load and
save diagrams to a custom file format, can load and save in .xml format,
and can export to PostScript(TM).



%prep
%setup -q



%build
%configure --enable-gnome --with-python
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category X-Red-Hat-Base                        \
  --add-category X-Red-Hat-Base-Only                   \
  --add-category Application                           \
  --add-category Office                                \
  --remove-category Graphics                           \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO KNOWN_BUGS
%{_bindir}/*
%{_libdir}/dia/
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/dia
%{_mandir}/man1/*



%changelog
* Thu Nov 20 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92.2-0.fdr.2
- Add desktop categories: X-Red-Hat-Base-Only and X-Red-Hat-Base.
- Remove desktop category Graphics.

* Wed Nov 19 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92.2-0.fdr.1
- Updated to 0.92.2. 

* Thu Oct 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92-0.fdr.1
- Updated to 0.92. 

* Thu Oct 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92-0.fdr.0.5.pre7
- Updated to 0.92pre7. 

* Sun Oct 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92-0.fdr.0.3.pre5
- Updated to 0.92pre5. 

* Sun Sep 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92-0.fdr.0.2.pre4
- Updated to 0.92pre4. 

* Thu Sep 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.92-0.fdr.0.1.pre3
- Updated to 0.92pre3. 
- buildroot -> RPM_BUILD_ROOT.
- BuildReq gettext.

* Thu Apr 03 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:0.91-0.fdr.5
- Upped Epoch to 1.

* Thu Apr 03 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.91-0.fdr.4
- Fixed missing BuildRequires.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.91-0.fdr.3
- Changed category to X-Fedora-Extra.
- Added desktop-file-utils to BuildRequires.
- Removed ldconfig from post and postun.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.91-0.fdr.2
- Added Missing Build Requires.
- Added Epoch:0.

* Thu Mar 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.91-0.fdr.1
- Initial RPM release.
